| Home | Libraries | People | FAQ | More

###### array::array (6 of 11 overloads)

Copy constructor.

###### Synopsis

    array(
        array const& other);

###### Description

The array is constructed with a copy of the contents of `other`, using `other`'s memory resource.

###### Complexity

Linear in `other.size()`.

###### Exception Safety

Strong guarantee. Calls to `memory_resource::allocate` may throw.

###### Parameters

Name | Description
--- | ---
`other` | The array to copy